petsc-3.4.2 2013-07-02

# SNESGetNormType

Gets the SNESNormType used in covergence and monitoring of the SNES method.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetNormType(SNES snes, SNESNormType *normtype)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| normtype | - the type of the norm used

### Keywords

SNES, nonlinear, set, function, norm, type

### See Also

SNESSetNormType(), SNESComputeFunction(), VecNorm(), SNESSetFunction(), SNESSetInitialFunction(), SNESNormType

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages